import type { INode, JsonObject } from '../..';
import { ExecutionBaseError } from './execution-base.error';
export declare abstract class NodeError extends ExecutionBaseError {
    readonly node: INode;
    constructor(node: INode, error: Error | JsonObject);
    protected findProperty(jsonError: JsonObject, potentialKeys: string[], traversalKeys?: string[]): string | null;
    protected setDescriptiveErrorMessage(message: string, description: string | undefined | null, code?: string | null, messageMapping?: {
        [key: string]: string;
    }): string[];
    protected updateDescription(message: string, description: string | undefined | null): string;
}
